Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.diradapter.intf
Interface DirAdapter

All Superinterfaces:
  java.rmi.Remote

public interface DirAdapter
extends java.rmi.Remote

The DirAdapter interface acts as a factory for directory session objects. It creates and destroys these objects for the users who have successfully logged into the system through the DdFramework interface. The DdFramework interface uses this interface to manage the user's sessions.

Method Summary
`DirSession` | `createDirSession(long clientId, java.lang.String userid, long userToken)` Creates and returns a DirSession object for the specified user.
`void` | `destroyDirSession(long clientId)` Deactivates and destroys the DirSession object of the specified user.
`void` | `setDebugLevel(int level, java.lang.String name, java.lang.String adapter)` Sets the debug level for the DirAdapter.

Method Detail

### createDirSession

    public DirSession createDirSession(long clientId,
                                       java.lang.String userid,
                                       long userToken)
                                throws java.rmi.RemoteException,
                                       DirOperationFailed

  Creates and returns a DirSession object for the specified user.

  Parameters:
    `clientId` - The value returned by a successful login() call.
    `userToken` - A value that can be used by the directory session object to impersonate the user. For example, on Microsoft Windows 2000, it is the handle that is obtained from the directory service after a successful login.
  Returns:
    DirSession The created DirSession object for the specified user.
  Throws:
    `DirOperationFailed`
    `java.rmi.RemoteException`

### destroyDirSession

    public void destroyDirSession(long clientId)
                           throws java.rmi.RemoteException,
                                  DirOperationFailed

  Deactivates and destroys the DirSession object of the specified user.

  Parameters:
    `clientId` - The value returned by a successful login() call.
  Throws:
    `DirOperationFailed`
    `java.rmi.RemoteException`

### setDebugLevel

    public void setDebugLevel(int level,
                              java.lang.String name,
                              java.lang.String adapter)
                       throws java.rmi.RemoteException

  Sets the debug level for the DirAdapter. The greater the value of level, the more debug messages will be created. Possible values are -1, 0, 1 and 2 (-1 = Audit, 0 = Error, 1 = Warning, 2 = Info)

  Parameters:
    `level` - The value of the desired debug level.
    `name` - Represents the name of the debug module.
    `adapter` - The name of the adapter. The value should be "dirAdapter".
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD